## electricsheep-20090306.tar.xz

=== client/ffmpeg/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000-2004 Fabrice Bellard
#
include config.mak

SRC_DIR = $(SRC_PATH_BARE)

vpath %.c    $(SRC_PATH_BARE)
vpath %.h    $(SRC_PATH_BARE)
vpath %.texi $(SRC_PATH_BARE)

CFLAGS=$(OPTFLAGS) -I$(BUILD_ROOT) -I$(SRC_PATH) -I$(SRC_PATH)/libavutil \
       -I$(SRC_PATH)/libavcodec -I$(SRC_PATH)/libavformat -I$(SRC_PATH)/libswscale \
       -I$(SRC_PATH)/libavdevice -I$(SRC_PATH)/libavfilter \
       -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE -DHAVE_AV_CONFIG_H
LDFLAGS+= -g

PROGS-$(CONFIG_FFMPEG)   += ffmpeg
PROGS-$(CONFIG_FFPLAY)   += ffplay
PROGS-$(CONFIG_FFSERVER) += ffserver

PROGS       = $(addsuffix   $(EXESUF), $(PROGS-yes))
PROGS_G     = $(addsuffix _g$(EXESUF), $(PROGS-yes))
MANPAGES    = $(addprefix doc/, $(addsuffix .1, $(PROGS-yes)))

BASENAMES   = ffmpeg ffplay ffserver
ALLPROGS    = $(addsuffix   $(EXESUF), $(BASENAMES))
ALLPROGS_G  = $(addsuffix _g$(EXESUF), $(BASENAMES))
ALLMANPAGES = $(addsuffix .1, $(BASENAMES))

ifeq ($(BUILD_SHARED),yes)
DEP_LIBS=libavcodec/$(SLIBPREF)avcodec$(SLIBSUF) libavformat/$(SLIBPREF)avformat$(SLIBSUF) libavdevice/$(SLIBPREF)avdevice$(SLIBSUF)
else
DEP_LIBS=libavcodec/$(LIBPREF)avcodec$(LIBSUF) libavformat/$(LIBPREF)avformat$(LIBSUF) libavdevice/$(LIBPREF)avdevice$(LIBSUF)
endif

ALL_TARGETS-$(CONFIG_VHOOK) += videohook
ALL_TARGETS-$(BUILD_DOC)    += documentation

INSTALL_TARGETS-$(CONFIG_VHOOK) += install-vhook
ifneq ($(PROGS),)
INSTALL_TARGETS-yes             += install-progs
INSTALL_TARGETS-$(BUILD_DOC)    += install-man
endif

VHOOKCFLAGS += $(filter-out -mdynamic-no-pic,$(CFLAGS))

BASEHOOKS = fish null watermark
ALLHOOKS = $(BASEHOOKS) drawtext imlib2 ppm
ALLHOOKS_SRCS = $(addprefix vhook/, $(addsuffix .c, $(ALLHOOKS)))

HOOKS-$(HAVE_FORK)      += ppm
HOOKS-$(HAVE_IMLIB2)    += imlib2
HOOKS-$(HAVE_FREETYPE2) += drawtext

HOOKS = $(addprefix vhook/, $(addsuffix $(SLIBSUF), $(BASEHOOKS) $(HOOKS-yes)))

VHOOKCFLAGS-$(HAVE_IMLIB2) += `imlib2-config --cflags`
LIBS_imlib2$(SLIBSUF)       = `imlib2-config --libs`

VHOOKCFLAGS-$(HAVE_FREETYPE2) += `freetype-config --cflags`
LIBS_drawtext$(SLIBSUF)        = `freetype-config --libs`

VHOOKCFLAGS += $(VHOOKCFLAGS-yes)

SRCS = $(addsuffix .c, $(PROGS-yes)) cmdutils.c
LDFLAGS := -L$(BUILD_ROOT)/libavdevice -L$(BUILD_ROOT)/libavformat -L$(BUILD_ROOT)/libavcodec -L$(BUILD_ROOT)/libavutil $(LDFLAGS)
EXTRALIBS := -lavdevice$(BUILDSUF) -lavformat$(BUILDSUF) -lavcodec$(BUILDSUF) -lavutil$(BUILDSUF) $(EXTRALIBS)

ifeq ($(CONFIG_SWSCALE),yes)
LDFLAGS+=-L$(BUILD_ROOT)/libswscale
EXTRALIBS+=-lswscale$(BUILDSUF)
endif

ifeq ($(CONFIG_AVFILTER),yes)
LDFLAGS+=-L$(BUILD_ROOT)/libavfilter
EXTRALIBS := -lavfilter$(BUILDSUF) $(EXTRALIBS)
endif

MAKE-yes = $(MAKE)
MAKE-    = : $(MAKE)

all: lib $(PROGS_G) $(PROGS) $(ALL_TARGETS-yes)

lib:
	$(MAKE)                    -C libavutil   all
	$(MAKE)                    -C libavcodec  all
	$(MAKE)                    -C libavformat all
	$(MAKE)                    -C libavdevice all
	$(MAKE-$(CONFIG_POSTPROC)) -C libpostproc all
	$(MAKE-$(CONFIG_SWSCALE))  -C libswscale  all
	$(MAKE-$(CONFIG_AVFILTER)) -C libavfilter all

ffplay_g$(EXESUF): EXTRALIBS += $(SDL_LIBS)
ffserver_g$(EXESUF): LDFLAGS += $(FFSERVERLDFLAGS)

%_g$(EXESUF): %.o cmdutils.o .libs
	$(CC) $(LDFLAGS) -o $@ $< cmdutils.o $(EXTRALIBS)

%$(EXESUF): %_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

SVN_ENTRIES = $(SRC_PATH_BARE)/.svn/entries
ifeq ($(wildcard $(SVN_ENTRIES)),$(SVN_ENTRIES))
version.h: $(SVN_ENTRIES)
endif

version.h:
	$(SRC_PATH)/version.sh $(SRC_PATH)

output_example$(EXESUF): output_example.o .libs
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(EXTRALIBS)

tools/%$(EXESUF): tools/%.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(EXTRALIBS)

ffplay.o .depend: CFLAGS += $(SDL_CFLAGS)

ffmpeg.o ffplay.o ffserver.o: version.h

# vhooks compile fine without libav*, but need them nonetheless.
videohook: .libs $(HOOKS)

vhook/%$(SLIBSUF): vhook/%.o
	$(CC) $(LDFLAGS) -o $@ $(VHOOKSHFLAGS) $< $(VHOOKLIBS) $(LIBS_$(@F))

vhook/%.o: vhook/%.c
	$(CC) $(VHOOKCFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

documentation: $(addprefix doc/, ffmpeg-doc.html faq.html ffserver-doc.html \
                                 ffplay-doc.html general.html hooks.html \
                                 $(ALLMANPAGES))

doc/%.html: doc/%.texi
	texi2html -monolithic -number $<
	mv $(@F) $@

doc/%.pod: doc/%-doc.texi
	doc/texi2pod.pl $< $@

doc/%.1: doc/%.pod
	pod2man --section=1 --center=" " --release=" " $< > $@

#install: install-libs install-headers $(INSTALL_TARGETS-yes)
install:

ifeq ($(BUILD_SHARED),yes)
install-progs: install-libs
endif
install-progs: $(PROGS)
	install -d "$(BINDIR)"
	install -c -m 755 $(PROGS) "$(BINDIR)"

install-man:
	install -d "$(MANDIR)/man1"
	install -m 644 $(MANPAGES) "$(MANDIR)/man1"

install-vhook: videohook
	install -d "$(SHLIBDIR)/vhook"
	install -m 755 $(HOOKS) "$(SHLIBDIR)/vhook"

install-libs:
	$(MAKE)                    -C libavutil   install-libs
	$(MAKE)                    -C libavcodec  install-libs
	$(MAKE)                    -C libavformat install-libs
	$(MAKE)                    -C libavdevice install-libs
	$(MAKE-$(CONFIG_POSTPROC)) -C libpostproc install-libs
	$(MAKE-$(CONFIG_SWSCALE))  -C libswscale  install-libs
	$(MAKE-$(CONFIG_AVFILTER)) -C libavfilter install-libs

install-headers:
	$(MAKE)                    -C libavutil   install-headers
	$(MAKE)                    -C libavcodec  install-headers
	$(MAKE)                    -C libavformat install-headers
	$(MAKE)                    -C libavdevice install-headers
	$(MAKE-$(CONFIG_POSTPROC)) -C libpostproc install-headers
	$(MAKE)                    -C libswscale  install-headers
	$(MAKE-$(CONFIG_AVFILTER)) -C libavfilter install-headers

uninstall: uninstall-progs uninstall-libs uninstall-headers uninstall-man uninstall-vhook

uninstall-progs:
	rm -f $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-man:
	rm -f $(addprefix "$(MANDIR)/man1/",$(ALLMANPAGES))

uninstall-vhook:
	rm -f $(addprefix "$(SHLIBDIR)/",$(ALLHOOKS_SRCS:.c=$(SLIBSUF)))
	-rmdir "$(SHLIBDIR)/vhook/"

uninstall-libs:
	$(MAKE) -C libavutil   uninstall-libs
	$(MAKE) -C libavcodec  uninstall-libs
	$(MAKE) -C libavformat uninstall-libs
	$(MAKE) -C libavdevice uninstall-libs
	$(MAKE) -C libpostproc uninstall-libs
	$(MAKE) -C libswscale  uninstall-libs
	$(MAKE) -C libavfilter uninstall-libs

uninstall-headers:
	$(MAKE) -C libavutil   uninstall-headers
	$(MAKE) -C libavcodec  uninstall-headers
	$(MAKE) -C libavformat uninstall-headers
	$(MAKE) -C libavdevice uninstall-headers
	$(MAKE) -C libpostproc uninstall-headers
	$(MAKE) -C libswscale  uninstall-headers
	$(MAKE) -C libavfilter uninstall-headers
	-rmdir "$(INCDIR)"

depend dep: .depend .vhookdep
	$(MAKE)                    -C libavutil   depend
	$(MAKE)                    -C libavcodec  depend
	$(MAKE)                    -C libavformat depend
	$(MAKE)                    -C libavdevice depend
	$(MAKE-$(CONFIG_POSTPROC)) -C libpostproc depend
	$(MAKE-$(CONFIG_SWSCALE))  -C libswscale  depend
	$(MAKE-$(CONFIG_AVFILTER)) -C libavfilter depend

.depend: $(SRCS) version.h
	$(DEPEND_CMD) > $@

.vhookdep: $(ALLHOOKS_SRCS) version.h
	$(VHOOK_DEPEND_CMD) > $@

$(DEP_LIBS): lib

.libs: $(DEP_LIBS)
	touch $@

clean:
	$(MAKE) -C libavutil   clean
	$(MAKE) -C libavcodec  clean
	$(MAKE) -C libavformat clean
	$(MAKE) -C libavdevice clean
	$(MAKE) -C libpostproc clean
	$(MAKE) -C libswscale  clean
	$(MAKE) -C libavfilter clean
	rm -f *.o *~ .libs gmon.out TAGS $(ALLPROGS) $(ALLPROGS_G) \
	   output_example$(EXESUF)
	rm -f doc/*.html doc/*.pod doc/*.1
	rm -rf tests/vsynth1 tests/vsynth2 tests/data tests/asynth1.sw tests/*~
	rm -f $(addprefix tests/,$(addsuffix $(EXESUF),audiogen videogen rotozoom seek_test tiny_psnr))
	rm -f $(addprefix tools/,$(addsuffix $(EXESUF),cws2fws pktdumper qt-faststart trasher))
	rm -f vhook/*.o vhook/*~ vhook/*.so vhook/*.dylib vhook/*.dll

distclean: clean
	$(MAKE) -C libavutil   distclean
	$(MAKE) -C libavcodec  distclean
	$(MAKE) -C libavformat distclean
	$(MAKE) -C libavdevice distclean
	$(MAKE) -C libpostproc distclean
	$(MAKE) -C libswscale  distclean
	$(MAKE) -C libavfilter distclean
	rm -f .depend .vhookdep version.h config.* *.pc

TAGS:
	etags *.[ch] libavformat/*.[ch] libavcodec/*.[ch]

# regression tests

fulltest test: codectest libavtest seektest

FFMPEG_REFFILE   = $(SRC_PATH)/tests/ffmpeg.regression.ref
FFSERVER_REFFILE = $(SRC_PATH)/tests/ffserver.regression.ref
LIBAV_REFFILE    = $(SRC_PATH)/tests/libav.regression.ref
ROTOZOOM_REFFILE = $(SRC_PATH)/tests/rotozoom.regression.ref
SEEK_REFFILE     = $(SRC_PATH)/tests/seek.regression.ref

CODEC_TESTS = $(addprefix regtest-,             \
        mpeg                                    \
        mpeg2                                   \
        mpeg2thread                             \
        msmpeg4v2                               \
        msmpeg4                                 \
        wmv1                                    \
        wmv2                                    \
        h261                                    \
        h263                                    \
        h263p                                   \
        mpeg4                                   \
        huffyuv                                 \
        rc                                      \
        mpeg4adv                                \
        mpeg4thread                             \
        error                                   \
        mpeg4nr                                 \
        mpeg1b                                  \
        mjpeg                                   \
        ljpeg                                   \
        jpegls                                  \
        rv10                                    \
        rv20                                    \
        asv1                                    \
        asv2                                    \
        flv                                     \
        ffv1                                    \
        snow                                    \
        snowll                                  \
        dv                                      \
        dv50                                    \
        svq1                                    \
        flashsv                                 \
        mp2                                     \
        ac3                                     \
        g726                                    \
        adpcm_ima_wav                           \
        adpcm_ima_qt                            \
        adpcm_ms                                \
        adpcm_yam                               \
        adpcm_swf                               \
        flac                                    \
        wma                                     \
    )

LAVF_TESTS = $(addprefix regtest-,              \
        avi                                     \
        asf                                     \
        rm                                      \
        mpg                                     \
        ts                                      \
        swf                                     \
        ffm                                     \
        flv_fmt                                 \
        mov                                     \
        dv_fmt                                  \
        gxf                                     \
        nut                                     \
        mkv                                     \
        pbmpipe                                 \
        pgmpipe                                 \
        ppmpipe                                 \
        gif                                     \
        yuv4mpeg                                \
        pgm                                     \
        ppm                                     \
        bmp                                     \
        tga                                     \

=== client/ffmpeg/libavcodec/Makefile ===
#
# libavcodec Makefile
# (c) 2000-2005 Fabrice Bellard
#
include ../config.mak

NAME = avcodec
FFLIBS = avutil

OBJS = allcodecs.o \
       audioconvert.o \
       bitstream.o \
       bitstream_filter.o \
       dsputil.o \
       eval.o \
       faanidct.o \
       imgconvert.o \
       jrevdct.o \
       opt.o \
       parser.o \
       raw.o \
       resample.o \
       resample2.o \
       simple_idct.o \
       utils.o \


HEADERS = avcodec.h opt.h

OBJS-$(CONFIG_ENCODERS)                += faandct.o jfdctfst.o jfdctint.o

OBJS-$(CONFIG_AASC_DECODER)            += aasc.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec.o ac3tab.o ac3.o mdct.o fft.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o
OBJS-$(CONFIG_AMV_DECODER)             += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_ASV1_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o mdct.o fft.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o golomb.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljr.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljr.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o mdct.o fft.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dca.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DSICINVIDEO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DVBSUB_DECODER)          += dvbsubdec.o
OBJS-$(CONFIG_DVBSUB_ENCODER)          += dvbsub.o
OBJS-$(CONFIG_DVDSUB_DECODER)          += dvdsubdec.o
OBJS-$(CONFIG_DVDSUB_ENCODER)          += dvdsubenc.o
OBJS-$(CONFIG_DVVIDEO_DECODER)         += dv.o
OBJS-$(CONFIG_DVVIDEO_ENCODER)         += dv.o
OBJS-$(CONFIG_DXA_DECODER)             += dxa.o
OBJS-$(CONFIG_EIGHTBPS_DECODER)        += 8bps.o
OBJS-$(CONFIG_FFV1_DECODER)            += ffv1.o rangecoder.o golomb.o
OBJS-$(CONFIG_FFV1_ENCODER)            += ffv1.o rangecoder.o
OBJS-$(CONFIG_FFVHUFF_DECODER)         += huffyuv.o
OBJS-$(CONFIG_FFVHUFF_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_FLAC_DECODER)            += flac.o golomb.o
OBJS-$(CONFIG_FLAC_ENCODER)            += flacenc.o golomb.o
OBJS-$(CONFIG_FLASHSV_DECODER)         += flashsv.o
OBJS-$(CONFIG_FLASHSV_ENCODER)         += flashsvenc.o
OBJS-$(CONFIG_FLIC_DECODER)            += flicvideo.o
OBJS-$(CONFIG_FLV_DECODER)             += h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_FLV_ENCODER)             += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_FOURXM_DECODER)          += 4xm.o
OBJS-$(CONFIG_FRAPS_DECODER)           += fraps.o huffman.o
OBJS-$(CONFIG_GIF_DECODER)             += gifdec.o lzw.o
OBJS-$(CONFIG_GIF_ENCODER)             += gif.o
OBJS-$(CONFIG_H261_DECODER)            += h261dec.o h261.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H261_ENCODER)            += h261enc.o h261.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_H263_DECODER)            += h263dec.o h263.o h263_parser.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263I_DECODER)           += h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263_ENCODER)            += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263P_ENCODER)           += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_DECODER)            += h264.o h264idct.o h264pred.o h264_parser.o cabac.o golomb.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_ENCODER)            += h264enc.o h264dspenc.o
OBJS-$(CONFIG_HUFFYUV_DECODER)         += huffyuv.o
OBJS-$(CONFIG_HUFFYUV_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_IDCIN_DECODER)           += idcinvideo.o
OBJS-$(CONFIG_IMC_DECODER)             += imc.o mdct.o fft.o
OBJS-$(CONFIG_INDEO2_DECODER)          += indeo2.o
OBJS-$(CONFIG_INDEO3_DECODER)          += indeo3.o
OBJS-$(CONFIG_INTERPLAY_DPCM_DECODER)  += dpcm.o
OBJS-$(CONFIG_INTERPLAY_VIDEO_DECODER) += interplayvideo.o
OBJS-$(CONFIG_JPEGLS_DECODER)          += jpeglsdec.o jpegls.o mjpegdec.o mjpeg.o golomb.o
OBJS-$(CONFIG_JPEGLS_ENCODER)          += jpeglsenc.o jpegls.o golomb.o
OBJS-$(CONFIG_KMVC_DECODER)            += kmvc.o
OBJS-$(CONFIG_LJPEG_ENCODER)           += ljpegenc.o mjpegenc.o mjpeg.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_LOCO_DECODER)            += loco.o golomb.o
OBJS-$(CONFIG_MACE3_DECODER)           += mace.o
OBJS-$(CONFIG_MACE6_DECODER)           += mace.o
OBJS-$(CONFIG_MIMIC_DECODER)           += mimic.o
OBJS-$(CONFIG_MJPEG_DECODER)           += mjpegdec.o mjpeg.o
OBJS-$(CONFIG_MJPEG_ENCODER)           += mjpegenc.o mjpeg.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_MJPEGB_DECODER)          += mjpegbdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_MMVIDEO_DECODER)         += mmvideo.o
OBJS-$(CONFIG_MP2_DECODER)             += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP2_ENCODER)             += mpegaudioenc.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3_DECODER)             += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3ADU_DECODER)          += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3ON4_DECODER)          += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MPC7_DECODER)            += mpc7.o mpc.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MPC8_DECODER)            += mpc8.o mpc.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MDEC_DECODER)            += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEGVIDEO_DECODER)       += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG1VIDEO_DECODER)      += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG1VIDEO_ENCODER)      += mpeg12enc.o mpeg12data.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG2VIDEO_DECODER)      += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG2VIDEO_ENCODER)      += mpeg12enc.o mpeg12data.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG4_DECODER)           += h263dec.o h263.o mpeg4video_parser.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG4_ENCODER)           += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V1_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V1_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V2_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V2_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V3_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V3_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSRLE_DECODER)           += msrle.o
OBJS-$(CONFIG_MSVIDEO1_DECODER)        += msvideo1.o
OBJS-$(CONFIG_MSZH_DECODER)            += lcldec.o
OBJS-$(CONFIG_NELLYMOSER_DECODER)      += nellymoserdec.o mdct.o fft.o
OBJS-$(CONFIG_NUV_DECODER)             += nuv.o rtjpeg.o
OBJS-$(CONFIG_PAM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PBM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PCX_DECODER)             += pcx.o
OBJS-$(CONFIG_PGM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PGMYUV_ENCODER)          += pnmenc.o pnm.o
OBJS-$(CONFIG_PNG_DECODER)             += png.o pngdec.o
OBJS-$(CONFIG_PNG_ENCODER)             += png.o pngenc.o
OBJS-$(CONFIG_PPM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PTX_DECODER)             += ptx.o
OBJS-$(CONFIG_QDM2_DECODER)            += qdm2.o mdct.o fft.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_QDRAW_DECODER)           += qdrw.o
OBJS-$(CONFIG_QPEG_DECODER)            += qpeg.o
OBJS-$(CONFIG_QTRLE_DECODER)           += qtrle.o
OBJS-$(CONFIG_QTRLE_ENCODER)           += qtrleenc.o
OBJS-$(CONFIG_RA_144_DECODER)          += ra144.o
OBJS-$(CONFIG_RA_288_DECODER)          += ra288.o
OBJS-$(CONFIG_RAWVIDEO_DECODER)        += rawdec.o
OBJS-$(CONFIG_RAWVIDEO_ENCODER)        += rawenc.o
OBJS-$(CONFIG_RL2_DECODER)             += rl2.o
OBJS-$(CONFIG_ROQ_DECODER)             += roqvideodec.o roqvideo.o
OBJS-$(CONFIG_ROQ_ENCODER)             += roqvideoenc.o roqvideo.o elbg.o
OBJS-$(CONFIG_ROQ_DPCM_DECODER)        += dpcm.o
OBJS-$(CONFIG_ROQ_DPCM_ENCODER)        += roqaudioenc.o
OBJS-$(CONFIG_RPZA_DECODER)            += rpza.o
OBJS-$(CONFIG_RV10_DECODER)            += rv10.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV10_ENCODER)            += rv10.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV20_DECODER)            += rv10.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV20_ENCODER)            += rv10.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SGI_DECODER)             += sgidec.o
OBJS-$(CONFIG_SGI_ENCODER)             += sgienc.o rle.o
OBJS-$(CONFIG_SHORTEN_DECODER)         += shorten.o golomb.o
OBJS-$(CONFIG_SMACKAUD_DECODER)        += smacker.o
OBJS-$(CONFIG_SMACKER_DECODER)         += smacker.o
OBJS-$(CONFIG_SMC_DECODER)             += smc.o
OBJS-$(CONFIG_SNOW_DECODER)            += snow.o rangecoder.o
OBJS-$(CONFIG_SNOW_ENCODER)            += snow.o rangecoder.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SOL_DPCM_DECODER)        += dpcm.o
OBJS-$(CONFIG_SONIC_DECODER)           += sonic.o golomb.o
OBJS-$(CONFIG_SONIC_ENCODER)           += sonic.o golomb.o
OBJS-$(CONFIG_SONIC_LS_ENCODER)        += sonic.o golomb.o
OBJS-$(CONFIG_SP5X_DECODER)            += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_SUNRAST_DECODER)         += sunrast.o
OBJS-$(CONFIG_SVQ1_DECODER)            += svq1dec.o svq1.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += svq1enc.o svq1.o motion_est.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SVQ3_DECODER)            += h264.o h264idct.o h264pred.o h264_parser.o cabac.o golomb.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_TARGA_DECODER)           += targa.o
OBJS-$(CONFIG_TARGA_ENCODER)           += targaenc.o rle.o
OBJS-$(CONFIG_THEORA_DECODER)          += vp3.o xiph.o vp3dsp.o
OBJS-$(CONFIG_THP_DECODER)             += mjpegdec.o mjpeg.o

=== client/ffmpeg/libavdevice/Makefile ===
include ../config.mak

NAME = avdevice
FFLIBS = avformat avcodec avutil

OBJS = alldevices.o

HEADERS = avdevice.h

# input/output devices
OBJS-$(CONFIG_BKTR_DEMUXER)              += bktr.o
OBJS-$(CONFIG_DV1394_DEMUXER)            += dv1394.o
OBJS-$(CONFIG_OSS_DEMUXER)               += audio.o
OBJS-$(CONFIG_OSS_MUXER)                 += audio.o
OBJS-$(CONFIG_V4L2_DEMUXER)              += v4l2.o
OBJS-$(CONFIG_V4L_DEMUXER)               += v4l.o
OBJS-$(CONFIG_VFWCAP_DEMUXER)            += vfwcap.o
OBJS-$(CONFIG_X11_GRAB_DEVICE_DEMUXER)   += x11grab.o

# external libraries
OBJS-$(CONFIG_LIBDC1394_DEMUXER)         += libdc1394.o

CPPOBJS-$(CONFIG_AUDIO_BEOS_DEMUXER)     += beosaudio.o
CPPOBJS-$(CONFIG_AUDIO_BEOS_MUXER)       += beosaudio.o

include ../common.mak

=== client/ffmpeg/libavfilter/Makefile ===
include ../config.mak

NAME = avfilter
FFLIBS = avcodec avutil
FFLIBS-$(CONFIG_SWSCALE)       += swscale
FFLIBS-$(CONFIG_AVFILTER_LAVF) += avformat

OBJS = allfilters.o \
       avfilter.o \
       defaults.o \
       formats.o \

#OBJS-$(CONFIG_XXX_FILTER)    += vf_xxx.o

HEADERS = avfilter.h

include ../common.mak

=== client/ffmpeg/libavformat/Makefile ===
#
# libavformat Makefile
# (c) 2000-2003 Fabrice Bellard
#
include ../config.mak

NAME = avformat
FFLIBS = avcodec avutil

OBJS = allformats.o cutils.o os_support.o sdp.o utils.o

HEADERS = avformat.h avio.h rtsp.h rtspcodes.h

# muxers/demuxers
OBJS-$(CONFIG_AAC_DEMUXER)               += raw.o
OBJS-$(CONFIG_AC3_DEMUXER)               += raw.o
OBJS-$(CONFIG_AC3_MUXER)                 += raw.o
OBJS-$(CONFIG_ADTS_MUXER)                += adtsenc.o
OBJS-$(CONFIG_AIFF_DEMUXER)              += aiff.o riff.o raw.o
OBJS-$(CONFIG_AIFF_MUXER)                += aiff.o riff.o
OBJS-$(CONFIG_AMR_DEMUXER)               += amr.o
OBJS-$(CONFIG_AMR_MUXER)                 += amr.o
OBJS-$(CONFIG_APC_DEMUXER)               += apc.o
OBJS-$(CONFIG_APE_DEMUXER)               += ape.o
OBJS-$(CONFIG_ASF_DEMUXER)               += asf.o asfcrypt.o riff.o
OBJS-$(CONFIG_ASF_MUXER)                 += asf-enc.o riff.o
OBJS-$(CONFIG_ASF_STREAM_MUXER)          += asf-enc.o riff.o
OBJS-$(CONFIG_AU_DEMUXER)                += au.o raw.o
OBJS-$(CONFIG_AU_MUXER)                  += au.o
OBJS-$(CONFIG_AVI_DEMUXER)               += avidec.o riff.o
OBJS-$(CONFIG_AVI_MUXER)                 += avienc.o riff.o
OBJS-$(CONFIG_AVISYNTH)                  += avisynth.o
OBJS-$(CONFIG_AVM2_MUXER)                += swf.o
OBJS-$(CONFIG_AVS_DEMUXER)               += avs.o vocdec.o voc.o
OBJS-$(CONFIG_BETHSOFTVID_DEMUXER)       += bethsoftvid.o
OBJS-$(CONFIG_C93_DEMUXER)               += c93.o vocdec.o voc.o
OBJS-$(CONFIG_CRC_MUXER)                 += crcenc.o
OBJS-$(CONFIG_DAUD_DEMUXER)              += daud.o
OBJS-$(CONFIG_DSICIN_DEMUXER)            += dsicin.o
OBJS-$(CONFIG_DTS_DEMUXER)               += raw.o
OBJS-$(CONFIG_DV_DEMUXER)                += dv.o
OBJS-$(CONFIG_DV_MUXER)                  += dvenc.o
OBJS-$(CONFIG_DXA_DEMUXER)               += dxa.o riff.o
OBJS-$(CONFIG_EA_CDATA_DEMUXER)          += eacdata.o
OBJS-$(CONFIG_EA_DEMUXER)                += electronicarts.o
OBJS-$(CONFIG_FFM_DEMUXER)               += ffm.o
OBJS-$(CONFIG_FFM_MUXER)                 += ffm.o
OBJS-$(CONFIG_FLAC_DEMUXER)              += raw.o
OBJS-$(CONFIG_FLAC_MUXER)                += raw.o
OBJS-$(CONFIG_FLIC_DEMUXER)              += flic.o
OBJS-$(CONFIG_FLV_DEMUXER)               += flvdec.o
OBJS-$(CONFIG_FLV_MUXER)                 += flvenc.o
OBJS-$(CONFIG_FOURXM_DEMUXER)            += 4xm.o
OBJS-$(CONFIG_FRAMECRC_MUXER)            += framecrcenc.o
OBJS-$(CONFIG_GIF_MUXER)                 += gif.o
OBJS-$(CONFIG_GIF_DEMUXER)               += gifdec.o
OBJS-$(CONFIG_GXF_DEMUXER)               += gxf.o
OBJS-$(CONFIG_GXF_MUXER)                 += gxfenc.o
OBJS-$(CONFIG_H261_DEMUXER)              += raw.o
OBJS-$(CONFIG_H261_MUXER)                += raw.o
OBJS-$(CONFIG_H263_DEMUXER)              += raw.o
OBJS-$(CONFIG_H263_MUXER)                += raw.o
OBJS-$(CONFIG_H264_DEMUXER)              += raw.o
OBJS-$(CONFIG_H264_MUXER)                += raw.o
OBJS-$(CONFIG_IDCIN_DEMUXER)             += idcin.o
OBJS-$(CONFIG_IMAGE2_DEMUXER)            += img2.o
OBJS-$(CONFIG_IMAGE2_MUXER)              += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_DEMUXER)        += img2.o
OBJS-$(CONFIG_IMAGE2PIPE_MUXER)          += img2.o
OBJS-$(CONFIG_INGENIENT_DEMUXER)         += raw.o
OBJS-$(CONFIG_IPMOVIE_DEMUXER)           += ipmovie.o
OBJS-$(CONFIG_IPOD_MUXER)                += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_LMLM4_DEMUXER)             += lmlm4.o
OBJS-$(CONFIG_M4V_DEMUXER)               += raw.o
OBJS-$(CONFIG_M4V_MUXER)                 += raw.o
OBJS-$(CONFIG_MATROSKA_AUDIO_MUXER)      += matroskaenc.o matroska.o riff.o avc.o
OBJS-$(CONFIG_MATROSKA_DEMUXER)          += matroskadec.o matroska.o riff.o
OBJS-$(CONFIG_MATROSKA_MUXER)            += matroskaenc.o matroska.o riff.o avc.o
OBJS-$(CONFIG_MJPEG_DEMUXER)             += raw.o
OBJS-$(CONFIG_MJPEG_MUXER)               += raw.o
OBJS-$(CONFIG_MM_DEMUXER)                += mm.o
OBJS-$(CONFIG_MMF_DEMUXER)               += mmf.o raw.o
OBJS-$(CONFIG_MMF_MUXER)                 += mmf.o riff.o
OBJS-$(CONFIG_MOV_DEMUXER)               += mov.o riff.o isom.o
OBJS-$(CONFIG_MOV_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_MP2_MUXER)                 += mp3.o
OBJS-$(CONFIG_MP3_DEMUXER)               += mp3.o
OBJS-$(CONFIG_MP3_MUXER)                 += mp3.o
OBJS-$(CONFIG_MP4_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_MPC_DEMUXER)               += mpc.o
OBJS-$(CONFIG_MPC8_DEMUXER)              += mpc8.o
OBJS-$(CONFIG_MPEG1SYSTEM_MUXER)         += mpegenc.o
OBJS-$(CONFIG_MPEG1VCD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2DVD_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2VOB_MUXER)            += mpegenc.o
OBJS-$(CONFIG_MPEG2SVCD_MUXER)           += mpegenc.o
OBJS-$(CONFIG_MPEG1VIDEO_MUXER)          += raw.o
OBJS-$(CONFIG_MPEG2VIDEO_MUXER)          += raw.o
OBJS-$(CONFIG_MPEGPS_DEMUXER)            += mpeg.o
OBJS-$(CONFIG_MPEGTS_DEMUXER)            += mpegts.o
OBJS-$(CONFIG_MPEGTSRAW_DEMUXER)         += mpegts.o
OBJS-$(CONFIG_MPEGTS_MUXER)              += mpegtsenc.o
OBJS-$(CONFIG_MPEGVIDEO_DEMUXER)         += raw.o
OBJS-$(CONFIG_MPJPEG_MUXER)              += mpjpeg.o
OBJS-$(CONFIG_MSNWC_TCP_DEMUXER)         += msnwc_tcp.o
OBJS-$(CONFIG_MTV_DEMUXER)               += mtv.o
OBJS-$(CONFIG_MXF_DEMUXER)               += mxf.o
OBJS-$(CONFIG_NSV_DEMUXER)               += nsvdec.o
OBJS-$(CONFIG_NULL_MUXER)                += raw.o
OBJS-$(CONFIG_NUT_DEMUXER)               += nutdec.o nut.o riff.o
OBJS-$(CONFIG_NUT_MUXER)                 += nutenc.o nut.o riff.o
OBJS-$(CONFIG_NUV_DEMUXER)               += nuv.o riff.o
OBJS-$(CONFIG_OGG_DEMUXER)               += oggdec.o         \
                                            oggparseflac.o   \
                                            oggparseogm.o    \
                                            oggparsespeex.o  \
                                            oggparsetheora.o \
                                            oggparsevorbis.o \
                                            riff.o
OBJS-$(CONFIG_OGG_MUXER)                 += oggenc.o
OBJS-$(CONFIG_PCM_ALAW_DEMUXER)          += raw.o
OBJS-$(CONFIG_PCM_ALAW_MUXER)            += raw.o
OBJS-$(CONFIG_PCM_MULAW_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_MULAW_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S16BE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_S16BE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S16LE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_S16LE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_S8_DEMUXER)            += raw.o
OBJS-$(CONFIG_PCM_S8_MUXER)              += raw.o
OBJS-$(CONFIG_PCM_U16BE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_U16BE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_U16LE_DEMUXER)         += raw.o
OBJS-$(CONFIG_PCM_U16LE_MUXER)           += raw.o
OBJS-$(CONFIG_PCM_U8_DEMUXER)            += raw.o
OBJS-$(CONFIG_PCM_U8_MUXER)              += raw.o
OBJS-$(CONFIG_PSP_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_PVA_DEMUXER)               += pva.o
OBJS-$(CONFIG_RAWVIDEO_DEMUXER)          += raw.o
OBJS-$(CONFIG_RAWVIDEO_MUXER)            += raw.o
OBJS-$(CONFIG_REDIR_DEMUXER)             += rtsp.o
OBJS-$(CONFIG_RL2_DEMUXER)               += rl2.o
OBJS-$(CONFIG_RM_DEMUXER)                += rmdec.o
OBJS-$(CONFIG_RM_MUXER)                  += rmenc.o
OBJS-$(CONFIG_ROQ_DEMUXER)               += idroq.o
OBJS-$(CONFIG_ROQ_MUXER)                 += raw.o
OBJS-$(CONFIG_RTP_MUXER)                 += rtp.o         \
                                            rtpenc.o      \
                                            rtp_mpv.o     \
                                            rtp_aac.o     \
                                            rtpenc_h264.o \
                                            avc.o
OBJS-$(CONFIG_RTSP_DEMUXER)              += rtsp.o
OBJS-$(CONFIG_SDP_DEMUXER)               += rtsp.o rtp.o rtpdec.o rtp_h264.o
OBJS-$(CONFIG_SEGAFILM_DEMUXER)          += segafilm.o
OBJS-$(CONFIG_SHORTEN_DEMUXER)           += raw.o
OBJS-$(CONFIG_SIFF_DEMUXER)              += siff.o
OBJS-$(CONFIG_SMACKER_DEMUXER)           += smacker.o
OBJS-$(CONFIG_SOL_DEMUXER)               += sol.o raw.o
OBJS-$(CONFIG_STR_DEMUXER)               += psxstr.o
OBJS-$(CONFIG_SWF_DEMUXER)               += swf.o
OBJS-$(CONFIG_SWF_MUXER)                 += swf.o
OBJS-$(CONFIG_TG2_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_TGP_MUXER)                 += movenc.o riff.o isom.o avc.o
OBJS-$(CONFIG_THP_DEMUXER)               += thp.o
OBJS-$(CONFIG_TIERTEXSEQ_DEMUXER)        += tiertexseq.o
OBJS-$(CONFIG_TTA_DEMUXER)               += tta.o
OBJS-$(CONFIG_TXD_DEMUXER)               += txd.o
OBJS-$(CONFIG_VC1_DEMUXER)               += raw.o
OBJS-$(CONFIG_VC1T_DEMUXER)              += vc1test.o
OBJS-$(CONFIG_VMD_DEMUXER)               += sierravmd.o
OBJS-$(CONFIG_VOC_DEMUXER)               += vocdec.o voc.o
OBJS-$(CONFIG_VOC_MUXER)                 += vocenc.o voc.o
OBJS-$(CONFIG_WAV_DEMUXER)               += wav.o riff.o raw.o
OBJS-$(CONFIG_WAV_MUXER)                 += wav.o riff.o
OBJS-$(CONFIG_WC3_DEMUXER)               += wc3movie.o
OBJS-$(CONFIG_WSAUD_DEMUXER)             += westwood.o
OBJS-$(CONFIG_WSVQA_DEMUXER)             += westwood.o
OBJS-$(CONFIG_WV_DEMUXER)                += wv.o
OBJS-$(CONFIG_YUV4MPEGPIPE_MUXER)        += yuv4mpeg.o
OBJS-$(CONFIG_YUV4MPEGPIPE_DEMUXER)      += yuv4mpeg.o

# external libraries
OBJS-$(CONFIG_LIBNUT_DEMUXER)            += libnut.o riff.o
OBJS-$(CONFIG_LIBNUT_MUXER)              += libnut.o riff.o

OBJS-$(CONFIG_VHOOK)                     += framehook.o

# protocols I/O
OBJS+= avio.o aviobuf.o

OBJS-$(CONFIG_FILE_PROTOCOL)             += file.o
OBJS-$(CONFIG_HTTP_PROTOCOL)             += http.o
OBJS-$(CONFIG_PIPE_PROTOCOL)             += file.o
OBJS-$(CONFIG_RTP_PROTOCOL)              += rtpproto.o
OBJS-$(CONFIG_TCP_PROTOCOL)              += tcp.o
OBJS-$(CONFIG_UDP_PROTOCOL)              += udp.o

include ../common.mak

=== client/ffmpeg/libavutil/Makefile ===
include ../config.mak

NAME = avutil

OBJS = adler32.o \
       aes.o \
       base64.o \
       crc.o \
       des.o \
       fifo.o \
       intfloat_readwrite.o \
       lls.o \
       log.o \
       lzo.o \
       mathematics.o \
       md5.o \
       mem.o \
       random.o \
       rational.o \
       rc4.o \
       sha1.o \
       string.o \
       tree.o \

HEADERS = adler32.h \
          avstring.h \
          avutil.h \
          base64.h \
          common.h \
          crc.h \
          fifo.h \
          intfloat_readwrite.h \
          log.h \
          lzo.h \
          mathematics.h \
          md5.h \
          mem.h \
          random.h \
          rational.h \
          sha1.h

TESTS = $(addsuffix -test$(EXESUF), adler32 aes crc des lls md5 sha1 softfloat tree)

include ../common.mak

lzo-test$(EXESUF): EXTRALIBS += -llzo2

clean::
	rm -f lzo-test$(EXESUF)

=== client/ffmpeg/libpostproc/Makefile ===
include ../config.mak

NAME = postproc
FFLIBS = avutil

HEADERS = postprocess.h

OBJS = postprocess.o

include ../common.mak

=== client/ffmpeg/libswscale/Makefile ===
include ../config.mak

NAME = swscale
FFLIBS = avutil

OBJS = rgb2rgb.o swscale.o

OBJS-$(CONFIG_GPL)         +=  yuv2rgb.o
OBJS-$(HAVE_ALTIVEC)       +=  yuv2rgb_altivec.o

OBJS-$(ARCH_BFIN)          +=  swscale_bfin.o \
                               yuv2rgb_bfin.o \

ASM_OBJS-$(ARCH_BFIN)      += internal_bfin.o

HEADERS = swscale.h rgb2rgb.h

include ../common.mak

cs_test: cs_test.o $(LIBNAME)

swscale-example: swscale-example.o $(LIBNAME)
swscale-example: EXTRALIBS += -lm

clean::
	rm -f cs_test swscale-example

=== client/debian/changelog ===
electricsheep (2.7b11-0ubuntu1~ppa1) intrepid; urgency=low

  * fixes and features from upstream (now for intrepid)

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 15 Nov 2008 02:20:24 -0500

electricsheep (2.7b11-0ubuntu1~ppa0) hardy; urgency=low

  * fixes and features from upstream

 -- Spotworks LLC <ubuntu@spotworks.com>  Fri, 14 Nov 2008 23:51:17 -0500

electricsheep (2.7b10-0ubuntu1~ppa0) hardy; urgency=low

  * important fix from upstream (starts reliably)

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 13 Sep 2008 20:15:16 -0400

electricsheep (2.7b9-0ubuntu1~ppa0) hardy; urgency=low

  * features/fixes from upstream (authentication, help button, etc)

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 28 Aug 2008 02:07:42 -0400

electricsheep (2.7b8-0ubuntu1~ppa0) hardy; urgency=low

  * bug fixes from upstream (multimon, better variety)

 -- Spotworks LLC <ubuntu@spotworks.com>  Fri, 18 Jul 2008 19:26:36 -0400

electricsheep (2.7b6-0ubuntu1~ppa2) hardy; urgency=low

  * make electricsheep-saver executable.

 -- Spotworks LLC <ubuntu@spotworks.com>  Mon, 30 Jun 2008 00:47:43 -0400

electricsheep (2.7b6-0ubuntu1~ppa1) hardy; urgency=low

  * more uniform packaging process, small fixes.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sun, 29 Jun 2008 19:25:04 -0400

electricsheep (2.7b6-0ubuntu1~ppa0) hardy; urgency=low

  * add version number and button to open web browser on
       homepage to the preferences dialog.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sun, 29 Jun 2008 17:35:20 -0400

electricsheep (2.7b5-0ubuntu1~ppa26) hardy; urgency=low

  * Updated build stuff, both package and Makefile
	- now uses gconf defaults for building from source
	- checks gnome-screensaver paths for installation locations
	- glade prefs now correctly specified in Makefile
	- make uninstall now works in source
    - dropped priority of gconf defaults to 16

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 26 Jun 2008 13:01:44 -0600

electricsheep (2.7b5-0ubuntu1~ppa25) hardy; urgency=low

  * Now using dh_gconf for gconf settings

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 26 Jun 2008 05:33:17 -0600

electricsheep (2.7b5-0ubuntu1~ppa24) hardy; urgency=low

  * Fixed installation of glade prefs file for prefs dialog

 -- Spotworks LLC <ubuntu@spotworks.com>  Wed, 25 Jun 2008 21:47:10 -0600

electricsheep (2.7b5-0ubuntu1~ppa23) hardy; urgency=low

  * Fixed desktop file - needed to call script instead of exe.

 -- Spotworks LLC <ubuntu@spotworks.com>  Wed, 25 Jun 2008 20:21:19 -0600

electricsheep (2.7b5-0ubuntu1~ppa22) hardy; urgency=low

  * Flash forward through beta versions.  Changes:
    2.7b1:
    - new multi monitor patch from John Gibson (1640631 on sf.net by 
      John Gibson).
    - fix video_out_x11.c:146 assumes cache dir is .sheep.
    - get tryagain parms from server.
    - exit on generation change to prevent mixing incompatible mpeg
      formats.
    - on file read error, rescan cache directory.  allow unsetting
      password.
    - install panel in location where xscreensaver 5.0 can find it, 
    - support --password and authenticated server
    - split frame into time and job
    - move up to flam3 v2.7
    - upgrade to mpeg4 wrapped in avi by using ffmpeg and mplayer.
    - ditch mpeg2dec_onroot
    - unbundle flam3
    - install binary where gnome can find it.
    2.7b2:
    - use marker files to update cache sooner.
    - global generation no longer part of state
    - configure gnome-screensaver during install using gconftool-2.
    - start with least recently accessed sheep instead of a random one
    - add ffmpeg.patch to plug memory leak.
    - ditch the .sheep/id file.
    - move to .electricsheep/* and preferences.xml and 
      electricsheep-preferences (a glade UI to the xml prefs).
    - play electricshep-wait.avi until first sheep arrives.
    - settle on mplayer
    - remove zoom option since mplayer always does it. 
    - note: password is not secure.  remove history from ui.    
    2.7b3:
    - fix hang on sheep deletion
    2.7b5:
    - removed flam3, flame, mpeg2dec dependencies from src
    - include patched ffmpeg code as subdir

 -- Spotworks LLC <ubuntu@spotworks.com>  Tues, 24 Jun 2008 16:59:19 -0600

electricsheep (2.6.8-9ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. (LP: #201417) Remaining Ubuntu changes:
    - Merge debian/rules to keep our kscreensaver changes.
    - Add multihead support.
    - Fix typo in debian/rules to really install gnome-screensaver
      .desktop file into the screensavers directory
    - Modify Maintainer value to match Debian-Maintainer-Field Spec.

 -- Stefan Ebner <hellboy195@gmail.com>  Wed, 12 Mar 2008 15:53:20 +0100

electricsheep (2.6.8-9) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * link electricsheep to the correct location. (closes: #467441)

  [ Alexis Sukrieh ]
  * Standard Revision: 3.7.3
  * Changed Apps to Applications in debian/menu (fixed a lintian warning).

 -- Alexis Sukrieh <sukria@debian.org>  Tue, 11 Mar 2008 17:30:22 +0100

electricsheep (2.6.8-8ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Merge debian/rules to keep our kscreensaver changes.

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 19 Jan 2008 14:02:06 +0100

electricsheep (2.6.8-8) unstable; urgency=low

  * Added a debconf-2.0 alternate to dependencies (closes: #448477)

 -- Alexis Sukrieh <sukria@debian.org>  Mon, 19 Nov 2007 16:34:53 +0100

electricsheep (2.6.8-7ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Merge debian/rules to keep our kscreensaver changes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 01 Nov 2007 17:02:21 -0400

electricsheep (2.6.8-7) unstable; urgency=low

  * Summer cleanup of the package, install .desktop files in the appropriate
    places.
    (closes: #432782)
  * Autotools cleanup.

 -- Alexis Sukrieh <sukria@debian.org>  Fri, 13 Jul 2007 15:50:13 +0200

electricsheep (2.6.8-6ubuntu3) gutsy; urgency=low



=== flam3/debian/changelog ===
flam3 (2.7.17-0ubuntu1~ppa0) hardy; urgency=low

  * Bug fixes from upstream.

 -- Spotworks LLC <ubuntu@spotworks.com>  Wed, 12 Nov 2008 19:07:18 -0500

flam3 (2.7.16-0ubuntu1~ppa2) hardy; urgency=low

  * Fixed version number for 2.7.16.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 06 Sep 2008 08:05:17 -0600

flam3 (2.7.16-0ubuntu1~ppa0) hardy; urgency=low

  * More bugs fixed and features from upstream, again interpolation related.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 06 Sep 2008 07:27:23 -0600

flam3 (2.7.15-0ubuntu1~ppa0) hardy; urgency=low

  * Many bugs fixed and features from upstream, mostly about interpolation.

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 28 Aug 2008 00:28:37 -0400

flam3 (2.7.14-0ubuntu1~ppa0) hardy; urgency=low

  * Many bugs fixed and features from upstream.

 -- Spotworks LLC <ubuntu@spotworks.com>  Mon, 21 Jul 2008 18:23:45 -0400

flam3 (2.7.13-0ubuntu1~ppa8) hardy; urgency=low

  * Attempt to fix erroneous O2 compile flag.

 -- Spotworks LLC <ubuntu@spotworks.com>  Fri, 27 Jun 2008 11:23:02 -0600

flam3 (2.7.13-0ubuntu1~ppa2) hardy; urgency=low

  * Initial package release.

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 12 Jun 2008 17:16:17 -0600

=== client/debian/control ===
Source: electricsheep
Section: graphics
Priority: optional
Maintainer: Spotworks LLC <ubuntu@spotworks.com>
Build-Depends: debhelper (>= 5), autotools-dev, libdbus-glib-1-dev, libgconf2-dev, libgnome-menu-dev, libglade2-dev, libgnomeui-dev, libexpat1-dev, gnome-screensaver
Standards-Version: 3.7.2

Package: electricsheep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer, curl, flam3 (>= 2.7.13), gnome-screensaver
Description: a distributed screensaver based on artificial life
 Electric Sheep is a free, open source screen saver created by Scott
 Draves.  It's run by tens of thousands of people all over the world,
 and can be installed on any ordinary computer. When these computers
 "sleep", the screen saver comes on and the computers communicate with
 each other by internet to share the work of creating morphing
 abstract animations known as "sheep".  Anyone watching one of these
 computers may vote for their favorite animations using the
 keyboard. (Note that voting is disabled on the linux client until we
 get a gnome-screensaver patch. You can still vote via the website or
 other platforms.)  The more popular sheep live longer and reproduce
 according to a genetic algorithm with mutation and cross-over. Hence
 the flock evolves to please its global audience. You can also design
 your own sheep and submit them to the gene pool.  The result is a
 collective "android dream", an homage to Philip K. Dick's novel 'Do
 Androids Dream of Electric Sheep?'. See http://electricsheep.org for
 more information.

=== flam3/debian/control ===
Source: flam3
Section: graphics
Priority: optional
Maintainer: Spotworks LLC <ubuntu@spotworks.com>
Build-Depends: debhelper (>= 5), automake, autotools-dev, libjpeg62-dev, libpng12-dev, libxml2-dev, libtool, subversion
Standards-Version: 3.7.2
Homepage: http://www.flam3.com

Package: flam3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: render and animate FLAM3s and manipulate their genomes

=== client/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The GNOME screensaver path for screensavers .desktop files
GNOME_SS_PATH=/usr/share/applications/screensavers
# The path where xscreensaver looks for an .xml file
#XSS_CONF_PATH=/usr/share/xscreensaver/config

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#CFLAGS = -Wall -g

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

config.status: configure
	dh_testdir
	@echo "Configuring...\n"
	touch configure.in && \
		touch aclocal.m4 && \
		touch configure
	./configure $(confflags) \
	            --prefix=/usr \
				--datadir=\$${prefix}/share \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
	            --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE)

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean

install: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/electricsheep
	# The xscreensaver .xml config file
#	mkdir -p $(CURDIR)/debian/electricsheep$(XSS_CONF_PATH)
#	cp $(CURDIR)/electricsheep.xml \
#		$(CURDIR)/debian/electricsheep$(XSS_CONF_PATH)
	# The Application .desktop file
	mkdir -p $(CURDIR)/debian/electricsheep$(GNOME_SS_PATH)
	cp $(CURDIR)/electricsheep.desktop \
		$(CURDIR)/debian/electricsheep$(GNOME_SS_PATH)/electricsheep.desktop
	# The script for gnome-screensaver to run
	mkdir -p $(CURDIR)/debian/electricsheep/usr/lib/gnome-screensaver/gnome-screensaver
	cp $(CURDIR)/electricsheep-saver \
		$(CURDIR)/debian/electricsheep/usr/lib/gnome-screensaver/gnome-screensaver/electricsheep-saver
	# The glade prefs file for electricsheep-prefs
	mkdir -p $(CURDIR)/debian/electricsheep/usr/share/electricsheep
	cp $(CURDIR)/electricsheep-preferences.glade \
		$(CURDIR)/debian/electricsheep/usr/share/electricsheep/electricsheep-preferences.glade
	# ... and for kscreensaver
#	mkdir -p $(CURDIR)/debian/electricsheep/usr/share/applnk/System/ScreenSavers
#	cp $(CURDIR)/debian/default-files/electricsheep.desktop $(CURDIR)/debian/electricsheep/usr/share/applnk/System/ScreenSavers
	# cleanup
	rm -rf $(CURDIR)/debian/electricsheep/usr/include

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_gconf --priority=20
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
